function Jc_x = jacobian_complex(funcx, x)
% Funkcija za racunanje derivacija vektorske funkcije vise varijabli
% tj. za racunanje matrice Jacobijan primjenom koracne kompleksne metode.
% Poziv funkcije: Jc_x = jacobian_complex(funcx, x) gdje su
% Jc_x - izlaz --> matrica Jacobijan
% funcx - ulaz --> M-funkcija u kojoj je definirana vektorska funkcija
% x - ulaz --> vektor tocaka u kojima se racuna derivacija

h = 10^-100;
n = length(x);
m = length(feval(funcx, x));
Jc_x = zeros(m, n);
x1 = x;

for j = 1:n % petlja za stupce
    x1(j) = complex(x(j), h);
    f1 = feval(funcx, x1);
    for i = 1:m % petlja za retke
        Jc_x(i, j) = imag(f1(i))/h;
    end
    x1 = x;
end

