function [sqr_a, N] = my_sqrt(a, tol)
% Funkcija za racunanje kvadratnog korijena pozitivnog realnog broja
% primjenom Newtonove metode
% Poziv funkcije: [sqr_a, N] = my_sqrt(a, tol) gdje su
% sqr_a - izlaz --> kvadratni korijen pozitivnog realnog broja
% N - izlaz --> broj iteracija Newtonove metode
% a - ulaz --> pozitivni realni broj
% tol - ulaz --> tolerancija pogreske

N = 0;
sqr_a = a;
err = abs(sqr_a^2 - a)/a;

while err > tol
    sqr_a = 0.5*(sqr_a + a/sqr_a);
    err = abs(sqr_a^2 - a)/a;
    N = N + 1;
end
